Subject: Re: [RFCv2 2/9] arch/powerpc: Clean up error handling for htab_remove_mapping

From: Anshuman Khandual <[email-masked]>
Date: Mon, 01 Feb 2016 11:24:29 +0530

On 01/29/2016 10:53 AM, David Gibson wrote:
> Currently, the only error that htab_remove_mapping() can report is -EINVAL,
> if removal of bolted HPTEs isn't implemeted for this platform.  We make
> a few clean ups to the handling of this:
> 
>  * EINVAL isn't really the right code - there's nothing wrong with the
>    function's arguments - use ENODEV instead

You are right, guess there are other places with this kind of problem as
well.

>  * We were also printing a warning message, but that's a decision better
>    left up to the callers, so remove it
>  * One caller is vmemmap_remove_mapping(), which will just BUG_ON() on
>    error, making the warning message irrelevant, so no change is needed
>    there.

It makes it redundant not irrelevant. It still prints a valid reason why
the remove operation failed.

>  * The other caller is remove_section_mapping().  This is called in the
>    memory hot remove path at a point after vmemmap_remove_mapping() so
>    if hpte_removebolted isn't implemented, we'd expect to have already
>    BUG()ed anyway.  Put a WARN_ON() here, in lieu of a printk() since this
>    really shouldn't be happening.

Right.